﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ScheduleChartViewSimpleCustomDataBindingSample
{
    // Represents a simple custom task item.
    class SimpleCustomTaskItem
    {
        public string DisplayName { get; set; }
        public int IndentLevel { get; set; }

        // Schedule of the task is not supported by the simple type (commented out below).
        // public Schedule TaskSchedule { get; set; }
        
        public DateTime StartDate { get; set; }
        public TimeSpan WorkEffort { get; set; }

        // Duration of the task is not supported by the simple type (commented out below).
        // public TimeSpan WorkDuration { get; set; }

        public DateTime FinishDate { get; set; }
        
        // Milestone indicator is not supported by the simple type (commented out below).
        // public bool IsMilestoneTask { get; set; }
        
        public TimeSpan CompletedWorkEffort { get; set; }
        public double PercentCompleted { get; set; }

        // Completion indicator is not supported by the simple type (commented out below).
        // public bool IsWorkCompleted { get; set; }
        
        public string AssignedResources { get; set; }
        public string TaskIndex { get; set; }
        public string PredecessorTaskIndexes { get; set; }
        public double TaskCost { get; set; }

        public string Description { get; set; }
    }
}
